apiVersion: v1
items:
- apiVersion: jaegertracing.io/v1
  kind: Jaeger
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"jaegertracing.io/v1","kind":"Jaeger","metadata":{"annotations":{"maistra.io/mesh-generation":"1.1.0-12.el8-3"},"labels":{"app.kubernetes.io/component":"tracing","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"tracing","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"1.1.0-12.el8-3","chart":"tracing","heritage":"Tiller","maistra-version":"1.0.10","maistra.io/owner":"istio-system","release":"istio"},"name":"jaeger","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v1","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"full-install","uid":"85d16e0a-e683-11e9-90d4-000c29a713c4"}]},"spec":{"affinity":{"nodeAffinity":{"preferredDuringSchedulingIgnoredDuringExecution":[{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["ppc64le"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["s390x"]}]},"weight":2}],"requiredDuringSchedulingIgnoredDuringExecution":{"nodeSelectorTerms":[{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64","ppc64le","s390x"]}]}]}}},"agent":{"annotations":null},"collector":{"annotations":null},"ingress":{"annotations":null,"enabled":true,"openshift":{"htpasswdFile":"/etc/proxy/htpasswd/auth","sar":"{\"namespace\": \"istio-system\", \"resource\": \"pods\", \"verb\": \"get\"}"},"security":"oauth-proxy"},"query":{"annotations":null,"options":{"query":{"base-path":"/"}}},"resources":{"limits":null,"requests":{"cpu":"10m","memory":"128Mi"}},"storage":{"elasticsearch":{"nodeCount":3,"nodeSelector":null,"redundancyPolicy":"SingleRedundancy","resources":{"limits":{"cpu":"1000m","memory":"4Gi"},"requests":{"cpu":"500m","memory":"4Gi"}}},"type":"elasticsearch"},"strategy":"production","ui":{"options":{"dependencies":{"menuEnabled":false},"menu":[{"items":[{"label":"Documentation","url":"https://www.jaegertracing.io/docs/latest"},{"anchorTarget":"_self","label":"Log Out","url":"/oauth/sign_in"}],"label":"About Jaeger"}]}},"volumeMounts":[{"mountPath":"/etc/proxy/htpasswd","name":"secret-htpasswd"}],"volumes":[{"name":"secret-htpasswd","secret":{"secretName":"htpasswd"}}]}}
      maistra.io/mesh-generation: 1.1.0-12.el8-3
    creationTimestamp: "2019-10-04T08:47:26Z"
    generation: 11
    labels:
      app.kubernetes.io/component: tracing
      app.kubernetes.io/instance: istio-system
      app.kubernetes.io/managed-by: maistra-istio-operator
      app.kubernetes.io/name: tracing
      app.kubernetes.io/part-of: istio
      app.kubernetes.io/version: 1.1.0-12.el8-3
      chart: tracing
      heritage: Tiller
      jaegertracing.io/operated-by: openshift-operators.jaeger-operator
      maistra-version: 1.0.10
      maistra.io/owner: istio-system
      release: istio
    name: jaeger
    namespace: istio-system
    ownerReferences:
    - apiVersion: maistra.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: full-install
      uid: 85d16e0a-e683-11e9-90d4-000c29a713c4
    resourceVersion: "218395134"
    selfLink: /apis/jaegertracing.io/v1/namespaces/istio-system/jaegers/jaeger
    uid: 97136af4-e683-11e9-90d4-000c29a713c4
  spec:
    affinity:
      nodeAffinity:
        preferredDuringSchedulingIgnoredDuringExecution:
        - preference:
            matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - amd64
          weight: 2
        - preference:
            matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - ppc64le
          weight: 2
        - preference:
            matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - s390x
          weight: 2
        requiredDuringSchedulingIgnoredDuringExecution:
          nodeSelectorTerms:
          - matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - amd64
              - ppc64le
              - s390x
    agent:
      image: registry.redhat.io/distributed-tracing/jaeger-agent-rhel7:1.13.1
      options: {}
      resources: {}
    allInOne:
      options: {}
      resources: {}
    collector:
      image: registry.redhat.io/distributed-tracing/jaeger-collector-rhel7:1.13.1
      options: {}
      replicas: 1
      resources: {}
    ingester:
      options: {}
      resources: {}
    ingress:
      enabled: true
      openshift:
        htpasswdFile: /etc/proxy/htpasswd/auth
        sar: '{"namespace": "istio-system", "resource": "pods", "verb": "get"}'
      options: {}
      resources: {}
      security: oauth-proxy
    query:
      image: registry.redhat.io/distributed-tracing/jaeger-query-rhel7:1.13.1
      options:
        query:
          base-path: /
      replicas: 1
      resources: {}
    resources:
      requests:
        cpu: 10m
        memory: 128Mi
    sampling:
      options: {}
    storage:
      cassandraCreateSchema: {}
      dependencies:
        image: jaegertracing/spark-dependencies
        resources: {}
        schedule: 55 23 * * *
      elasticsearch:
        nodeCount: 3
        redundancyPolicy: SingleRedundancy
        resources:
          limits:
            cpu: 1000m
            memory: 4Gi
          requests:
            cpu: 500m
            memory: 4Gi
        storage: {}
      esIndexCleaner:
        enabled: true
        image: registry.redhat.io/distributed-tracing/jaeger-es-index-cleaner-rhel7:1.13.1
        numberOfDays: 15
        resources: {}
        schedule: 55 23 * * *
      esRollover:
        image: jaegertracing/jaeger-es-rollover:1.13.1
        resources: {}
        schedule: '*/30 * * * *'
      options: {}
      type: elasticsearch
    strategy: production
    ui:
      options:
        dependencies:
          menuEnabled: false
        menu:
        - items:
          - label: Documentation
            url: https://www.jaegertracing.io/docs/latest
          - anchorTarget: _self
            label: Log Out
            url: /oauth/sign_in
          label: About Jaeger
    volumeMounts:
    - mountPath: /etc/proxy/htpasswd
      name: secret-htpasswd
    volumes:
    - name: secret-htpasswd
      secret:
        secretName: htpasswd
  status:
    phase: ""
    version: 1.17.1
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
